Name:           dashboard-timer
Version:        1.0.1
Release:        1%{dist}
Summary:        System d units and timers to turn on and off a monitor at specific times

License:        MIT
URL:           	https://github.com/BunnyApocalypse/dashboard-timer
Source0:        https://github.com/BunnyApocalypse/dashboard-timer/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires:       gnome-desktop systemd
BuildArch:      noarch

%description
System d units and timers to turn on and off a monitor at specific times

%prep
%setup -q

%build
echo "Nothing to build"

%install
mkdir -p %{buildroot}/usr/lib/systemd/user
install -m 0644 dashboard-on.timer %{buildroot}/usr/lib/systemd/user
install -m 0644 dashboard-on.service %{buildroot}/usr/lib/systemd/user
install -m 0644 dashboard-off.timer %{buildroot}/usr/lib/systemd/user
install -m 0644 dashboard-off.service %{buildroot}/usr/lib/systemd/user

%files
%license LICENSE
/usr/lib/systemd/user/dashboard-off.timer
/usr/lib/systemd/user/dashboard-on.timer
/usr/lib/systemd/user/dashboard-off.service
/usr/lib/systemd/user/dashboard-on.service

%changelog
* Wed Jun 13 2018 Chris King <chris.king@kennasecurity.com> - 1.0
- First dashboard-timer package
